/* Template CSS */

:root {
    --primary: #AAC4B4;
    --light: #161111;
    --dark: #17181A;
}
.fw-medium {
    font-weight: 500 !important;
}

.fw-bold {
    font-weight: 700 !important;
}

.fw-black {
    font-weight: 900 !important;
}

.back-to-top {
    position: fixed;
    display: none;
    right: 45px;
    bottom: 45px;
    z-index: 99;
}

/* Spinner */

#spinner {
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.5s ease-out, visibility 0s linear 0.5s;
    z-index: 99999;
}

#spinner.show {
    transition: opacity 0.5s ease-out, visibility 0s linear 0s;
    visibility: visible;
    opacity: 1;
}

/* Button */

.btn {
    font-weight: 500;
    transition: 0.5s;
}

.btn.btn-primary,
.btn.btn-secondary {
    color: #FFFFFF;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
    width: 38px;
    height: 38px;
}

.btn-sm-square {
    width: 32px;
    height: 32px;
}

.btn-lg-square {
    width: 48px;
    height: 48px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: normal;
}

/* Navbar */

.navbar .dropdown-toggle::after {
    border: none;
    content: "\f107";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    vertical-align: middle;
    margin-left: 8px;
}

.navbar .navbar-nav .nav-link {
    margin-right: 30px;
    padding: 25px 0;
    color: #FFFFFF;
    font-size: 15px;
    font-weight: 500;
    text-transform: uppercase;
    outline: none;
}

.navbar .navbar-nav .nav-link:hover,
.navbar .navbar-nav .nav-link.active {
    color: var(--primary);
}

@media (max-width: 991.98px) {
    .navbar .navbar-nav .nav-link {
        margin-right: 0;
        padding: 10px 0;
    }

    .navbar .navbar-nav {
        border-top: 1px solid #EEEEEE;
    }
}

.navbar .navbar-brand,
.navbar a.btn {
    height: 75px;
}

.navbar .navbar-nav .nav-link {
    color: var(--dark);
    font-weight: 500;
}

.navbar.sticky-top {
    top: -100px;
    transition: 0.5s;
}

@media (min-width: 992px) {
    .navbar .nav-item .dropdown-menu {
        display: block;
        border: none;
        margin-top: 0;
        top: 150%;
        opacity: 0;
        visibility: hidden;
        transition: 0.5s;
    }

    .navbar .nav-item:hover .dropdown-menu {
        top: 100%;
        visibility: visible;
        transition: 0.5s;
        opacity: 1;
    }
}

/* Header */

.header-carousel .owl-carousel-text {
    position: absolute;
    width: 100%;
    height: 100%;
    padding: 3rem;
    top: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    text-shadow: 0 0 30px rgba(0, 0, 0, 0.1);
}

.header-carousel .owl-nav {
    position: absolute;
    width: 200px;
    height: 45px;
    bottom: 30px;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    justify-content: space-between;
}

.header-carousel .owl-nav .owl-prev,
.header-carousel .owl-nav .owl-next {
    width: 45px;
    height: 45px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #FFFFFF;
    background: transparent;
    border: 1px solid #FFFFFF;
    border-radius: 45px;
    font-size: 22px;
    transition: 0.5s;
}

.header-carousel .owl-nav .owl-prev:hover,
.header-carousel .owl-nav .owl-next:hover {
    background: var(--primary);
    border-color: var(--primary);
}

.header-carousel .owl-dots {
    position: absolute;
    height: 45px;
    bottom: 30px;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    align-items: center;
    justify-content: center;
}

.header-carousel .owl-dot {
    position: relative;
    display: inline-block;
    margin: 0 5px;
    width: 15px;
    height: 15px;
    background: transparent;
    border: 1px solid #FFFFFF;
    border-radius: 15px;
    transition: 0.5s;
}

.header-carousel .owl-dot::after {
    position: absolute;
    content: "";
    width: 5px;
    height: 5px;
    top: 4px;
    left: 4px;
    background: #FFFFFF;
    border-radius: 5px;
}

.header-carousel .owl-dot.active {
    background: var(--primary);
    border-color: var(--primary);
}

.page-header {
    background: url("../img/pexels-charles-parker-5845732.jpg") top center no-repeat;
    background-size: cover;
    text-shadow: 0 0 30px rgba(0, 0, 0, 0.1);
}


.page-header-about {
  position: relative;
  overflow: hidden;
  background: url("../img/about-fxtriangle.jpg") top center no-repeat;
  background-size: cover;
  text-shadow: 0 0 30px rgba(0,0,0,1.00); /* Adjust the alpha value (0.5 for reduced transparency) */
  height: 50vh; /* Adjust the height as needed */
  background-attachment: fixed; /* This line creates the parallax effect */
}

.page-header-terms {
  position: relative;
  overflow: hidden;
  background: url("../img/terms-and-conditions.jpg") top center no-repeat;
  background-size: 100% auto; /* Make the background image responsive */
  text-shadow: 0 0 30px rgba(0, 0, 0, 1.00);
  height: 50vh;
  background-attachment: fixed;
  /* Add a backdrop filter for blur effect */
  backdrop-filter: blur(10px); /* Adjust the blur amount as needed */
  -webkit-backdrop-filter: blur(10px); /* For Safari */
}

.page-header-privacy {
  position: relative;
  overflow: hidden;
  background: url("../img/privacy.jpg") top center no-repeat;
  background-size: 100% auto; /* Make the background image responsive */
  text-shadow: 0 0 30px rgba(0, 0, 0, 1.00);
  height: 50vh;
  background-attachment: fixed;
  /* Add a backdrop filter for blur effect */
  backdrop-filter: blur(10px); /* Adjust the blur amount as needed */
  -webkit-backdrop-filter: blur(10px); /* For Safari */
}

/* Default styles for larger screens */
.page-header-brokers {
  position: relative;
  overflow: hidden;
  background: url("../img/forex_brokers.jpg") top center no-repeat;
  background-size: cover; /* Ensure the image covers the entire element */
  text-shadow: 0 0 30px rgba(0, 0, 0, 1.00);
  height: 50vh;
  background-attachment: fixed;
  /* Add a backdrop filter for blur effect */
  backdrop-filter: blur(10px); /* Adjust the blur amount as needed */
  -webkit-backdrop-filter: blur(10px); /* For Safari */
}

/* Default styles for larger screens */
.page-header-fxcalendar {
  position: relative;
  overflow: hidden;
  background: url("../img/fx-calendar.jpg") top center no-repeat;
  background-size: cover; /* Ensure the image covers the entire element */
  text-shadow: 0 0 30px rgba(0, 0, 0, 1.00);
  height: 50vh;
  background-attachment: fixed;
  /* Add a backdrop filter for blur effect */
  backdrop-filter: blur(10px); /* Adjust the blur amount as needed */
  -webkit-backdrop-filter: blur(10px); /* For Safari */
}



/* Media query for smaller screens, such as mobile */
@media (max-width: 768px) {
  .page-header-brokers {
    background-size: cover; /* Keep the 'cover' property for responsiveness */
    background-attachment: scroll; /* Remove fixed attachment for mobile */
  }
}


/* Default styles for larger screens */
.page-header-contact {
  position: relative;
  overflow: hidden;
  background: url("../img/contact.jpg") top center no-repeat;
  background-size: cover; /* Ensure the image covers the entire element */
  text-shadow: 0 0 30px rgba(0, 0, 0, 1.00);
  height: 50vh;
  background-attachment: fixed;
  /* Add a backdrop filter for blur effect */
  backdrop-filter: blur(10px); /* Adjust the blur amount as needed */
  -webkit-backdrop-filter: blur(10px); /* For Safari */
}

/* Media query for smaller screens, such as mobile */
@media (max-width: 768px) {
  .page-header-contact {
    background-size: cover; /* Keep the 'cover' property for responsiveness */
    background-attachment: scroll; /* Remove fixed attachment for mobile */
  }
}

/* Default styles for larger screens */
.page-header-ads {
  position: relative;
  overflow: hidden;
  background: url("../img/advertise.jpg") top center no-repeat;
  background-size: cover; /* Ensure the image covers the entire element */
  text-shadow: 0 0 30px rgba(0, 0, 0, 1.00);
  height: 50vh;
  background-attachment: fixed;
  /* Add a backdrop filter for blur effect */
  backdrop-filter: blur(10px); /* Adjust the blur amount as needed */
  -webkit-backdrop-filter: blur(10px); /* For Safari */
}

/* Media query for smaller screens, such as mobile */
@media (max-width: 768px) {
  .page-header-ads {
    background-size: cover; /* Keep the 'cover' property for responsiveness */
    background-attachment: scroll; /* Remove fixed attachment for mobile */
  }
}



/* Default styles for larger screens */
.page-header-coding {
  position: relative;
  overflow: hidden;
  background: url("../img/forex-coding.jpg") top center no-repeat;
  background-size: cover; /* Ensure the image covers the entire element */
  text-shadow: 0 0 30px rgba(0, 0, 0, 1.00);
  height: 50vh;
  background-attachment: fixed;
  /* Add a backdrop filter for blur effect */
  backdrop-filter: blur(10px); /* Adjust the blur amount as needed */
  -webkit-backdrop-filter: blur(10px); /* For Safari */
}

/* Media query for smaller screens, such as mobile */
@media (max-width: 768px) {
  .page-header-coding {
    background-size: cover; /* Keep the 'cover' property for responsiveness */
    background-attachment: scroll; /* Remove fixed attachment for mobile */
  }
}





/* Default styles for larger screens */
.page-header-404 {
  position: relative;
  overflow: hidden;
  background: url("../img/404.jpg") top center no-repeat;
  background-size: cover; /* Ensure the image covers the entire element */
  text-shadow: 0 0 30px rgba(0, 0, 0, 1.00);
  height: 50vh;
  background-attachment: fixed;
  /* Add a backdrop filter for blur effect */
  backdrop-filter: blur(10px); /* Adjust the blur amount as needed */
  -webkit-backdrop-filter: blur(10px); /* For Safari */
}

/* Media query for smaller screens, such as mobile */
@media (max-width: 768px) {
  .page-header-404 {
    background-size: cover; /* Keep the 'cover' property for responsiveness */
    background-attachment: scroll; /* Remove fixed attachment for mobile */
  }
}


/* Default styles for larger screens */
.page-header-partnership {
  position: relative;
  overflow: hidden;
  background: url("../img/partners.jpg") top center no-repeat;
  background-size: cover; /* Ensure the image covers the entire element */
  text-shadow: 0 0 30px rgba(0, 0, 0, 1.00);
  height: 50vh;
  background-attachment: fixed;
  /* Add a backdrop filter for blur effect */
  backdrop-filter: blur(10px); /* Adjust the blur amount as needed */
  -webkit-backdrop-filter: blur(10px); /* For Safari */
}

/* Media query for smaller screens, such as mobile */
@media (max-width: 768px) {
  .page-header-partnership {
    background-size: cover; /* Keep the 'cover' property for responsiveness */
    background-attachment: scroll; /* Remove fixed attachment for mobile */
  }
}





.page-header-ads {
  position: relative;
  overflow: hidden;
  background: url("../img/advertise.jpg") top center no-repeat;
  background-size: 100% auto; /* Make the background image responsive */
  text-shadow: 0 0 30px rgba(0, 0, 0, 1.00);
  height: 50vh;
  background-attachment: fixed;
  /* Add a backdrop filter for blur effect */
  backdrop-filter: blur(10px); /* Adjust the blur amount as needed */
  -webkit-backdrop-filter: blur(10px); /* For Safari */
}


.page-header-forex-tools {
  position: relative;
  overflow: hidden;
  background: url("../img/forex-tools.jpg") top center no-repeat;
  background-size: 100% auto; /* Make the background image responsive */
  text-shadow: 0 0 30px rgba(0, 0, 0, 1.00);
  height: 50vh;
  background-attachment: fixed;
  /* Add a backdrop filter for blur effect */
  backdrop-filter: blur(10px); /* Adjust the blur amount as needed */
  -webkit-backdrop-filter: blur(10px); /* For Safari */
}

/* Media query for smaller screens, such as mobile */
@media (max-width: 768px) {
  .page-header-ads {
    background-size: cover; /* Keep the 'cover' property for responsiveness */
    background-attachment: scroll; /* Remove fixed attachment for mobile */
  }
}


.breadcrumb-item + .breadcrumb-item::before {
    color: var(--light);
}

/* Service */

.service-item {
    transition: 0.5s;
}

.service-item:hover {
    margin-top: -10px;
    box-shadow: 0 0.5rem 1.5rem rgba(0, 0, 0, 0.08);
}

.service-item .btn {
    width: 40px;
    height: 40px;
    display: inline-flex;
    align-items: center;
    background: #FFFFFF;
    border-radius: 40px;
    white-space: nowrap;
    overflow: hidden;
    transition: 0.5s;
}

.service-item:hover .btn {
    width: 140px;
}

/* Feature */

@media (min-width: 992px) {
    .container.feature {
        max-width: 100% !important;
    }

    .feature-text  {
        padding-left: calc(((100% - 960px) / 2) + 0.75rem);
    }
}

@media (min-width: 1200px) {
    .feature-text  {
        padding-left: calc(((100% - 1140px) / 2) + 0.75rem);
    }
}

@media (min-width: 1400px) {
    .feature-text  {
        padding-left: calc(((100% - 1320px) / 2) + 0.75rem);
    }
}

/* Team */

.team-item img {
    position: relative;
    top: 0;
    transition: 0.5s;
}

.team-item:hover img {
    top: -30px;
}

.team-item .team-text {
    position: relative;
    height: 100px;
    transition: 0.5s;
}

.team-item:hover .team-text {
    margin-top: -60px;
    height: 160px;
}

.team-item .team-text .team-social {
    opacity: 0;
    transition: 0.5s;
}

.team-item:hover .team-text .team-social {
    opacity: 1;
}

.team-item .team-social .btn {
    display: inline-flex;
    color: var(--primary);
    background: #FFFFFF;
    border-radius: 40px;
}

.team-item .team-social .btn:hover {
    color: #FFFFFF;
    background: var(--primary);
}

/* Appointment */

.bootstrap-datetimepicker-widget.bottom {
    top: auto !important;
}

.bootstrap-datetimepicker-widget .table * {
    border-bottom-width: 0px;
}

.bootstrap-datetimepicker-widget .table th {
    font-weight: 500;
}

.bootstrap-datetimepicker-widget.dropdown-menu {
    padding: 10px;
    border-radius: 2px;
}

.bootstrap-datetimepicker-widget table td.active,
.bootstrap-datetimepicker-widget table td.active:hover {
    background: var(--primary);
}

.bootstrap-datetimepicker-widget table td.today::before {
    border-bottom-color: var(--primary);
}

/* Testimonial */

.testimonial-carousel::before {
    position: absolute;
    content: "";
    top: 0;
    left: 0;
    height: 100%;
    width: 0;
    background: linear-gradient(to right, rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, 0) 100%);
    z-index: 1;
}

.testimonial-carousel::after {
    position: absolute;
    content: "";
    top: 0;
    right: 0;
    height: 100%;
    width: 0;
    background: linear-gradient(to left, rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, 0) 100%);
    z-index: 1;
}

@media (min-width: 768px) {
    .testimonial-carousel::before,
    .testimonial-carousel::after {
        width: 200px;
    }
}

@media (min-width: 992px) {
    .testimonial-carousel::before,
    .testimonial-carousel::after {
        width: 300px;
    }
}

.testimonial-carousel .owl-item .testimonial-text {
    background: var(--light);
    transform: scale(0.8);
    transition: 0.5s;
}

.testimonial-carousel .owl-item.center .testimonial-text {
    background: var(--primary);
    transform: scale(1);
}

.testimonial-carousel .owl-item .testimonial-text *,
.testimonial-carousel .owl-item .testimonial-item img {
    transition: 0.5s;
}

.testimonial-carousel .owl-item.center .testimonial-text * {
    color: var(--light) !important;
}

.testimonial-carousel .owl-item.center .testimonial-item img {
    background: var(--primary) !important;
} 

.testimonial-carousel .owl-nav {
    position: absolute;
    width: 350px;
    top: 15px;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    justify-content: space-between;
    opacity: 0;
    transition: 0.5s;
    z-index: 1;
}

.testimonial-carousel:hover .owl-nav {
    width: 300px;
    opacity: 1;
}

.testimonial-carousel .owl-nav .owl-prev,
.testimonial-carousel .owl-nav .owl-next {
    position: relative;
    color: var(--primary);
    font-size: 45px;
    transition: 0.5s;
}

.testimonial-carousel .owl-nav .owl-prev:hover,
.testimonial-carousel .owl-nav .owl-next:hover {
    color: var(--dark);
}

/* Footer */

.footer .btn.btn-social {
    margin-right: 5px;
    width: 35px;
    height: 35px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--light);
    border: 1px solid #FFFFFF;
    transition: 0.3s;
}

.footer .btn.btn-social:hover {
    color: var(--primary);
}

.footer .btn.btn-link {
    display: block;
    margin-bottom: 5px;
    padding: 0;
    text-align: left;
    color: #FFFFFF;
    font-size: 15px;
    font-weight: normal;
    text-transform: capitalize;
    transition: 0.3s;
}

.footer .btn.btn-link::before {
    position: relative;
    content: "\f105";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    margin-right: 10px;
}

.footer .btn.btn-link:hover {
    color: var(--primary);
    letter-spacing: 1px;
    box-shadow: none;
}

.footer .copyright {
    padding: 25px 0;
    font-size: 15px;
    border-top: 1px solid rgba(256, 256, 256, 0.1);
}

.footer .copyright a {
    color: var(--light);
}

.footer .copyright a:hover {
    color: var(--primary);
}

@keyframes borderFlash {
    0% {
        border-color: rgb(255, 0, 0);
    }
    50% {
        border-color: rgb(0, 255, 0);
    }
    100% {
        border-color: rgb(0, 0, 255);
    }
}

.container-custom {
    max-width: 2000px; /* Adjust the width as needed */
    margin-left: auto;
    margin-right: auto;
    padding: 20px; /* Add padding as needed */
    background-color: #FFFFFF; /* Add a background color if desired */
    /* Add any other styling you require */
  }

  .min-width-lock {
    min-width: 250px; /* Default minimum width for larger screens */
  }

  @media (max-width: 991px) {
    /* Adjust the minimum width for medium-sized screens */
    .min-width-lock {
      min-width: 100%; /* Full width on screens up to 991px */
    }
  }

 @media (max-width: 767px) {
    .min-width-lock {
      min-width: 100% !important;
    }
  }

